| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Enumerations | Variables
panel.h File Reference

## Classes

class | wxRibbonPanelEvent
| Event used to indicate various actions relating to a wxRibbonPanel. More...
class | wxRibbonPanel
| Serves as a container for a group of (ribbon) controls. More...

## Enumerations

enum | wxRibbonPanelOption { wxRIBBON_PANEL_NO_AUTO_MINIMISE, wxRIBBON_PANEL_EXT_BUTTON, wxRIBBON_PANEL_MINIMISE_BUTTON, wxRIBBON_PANEL_STRETCH, wxRIBBON_PANEL_FLEXIBLE, wxRIBBON_PANEL_DEFAULT_STYLE }

## Variables

wxEventType | wxEVT_RIBBONPANEL_EXTBUTTON_ACTIVATED

## Enumeration Type Documentation

enum wxRibbonPanelOption

Enumerator
wxRIBBON_PANEL_NO_AUTO_MINIMISE |
wxRIBBON_PANEL_EXT_BUTTON |
wxRIBBON_PANEL_MINIMISE_BUTTON |
wxRIBBON_PANEL_STRETCH |
wxRIBBON_PANEL_FLEXIBLE |
wxRIBBON_PANEL_DEFAULT_STYLE |

## Variable Documentation

wxEventType wxEVT_RIBBONPANEL_EXTBUTTON_ACTIVATED